Summary: startup scripts for Dan Bernstein's qmail package
%define name e-smith-qmail
Name: %{name}
%define version 1.8.0
%define release 04
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-qmail-1.8.0-02.mitel_patch
Patch1: e-smith-qmail-1.8.0-03.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools >= 1.13.0-04
BuildArchitectures: noarch
Requires: qmail daemontools >= 0.70
Obsoletes: qmail-initscripts
AutoReqProv: no

%changelog
* Wed Mar 31 2004 Tony Clayton <apc@e-smith.com>
- [1.8.0-04]
- Pulling in spec file changes for last patch [tonyc MN00020822]

* Fri Feb 13 2004 Mark Knox <markk@e-smith.com>
- [1.8.0-03]
- Shadow MN00020522: Removed migrate-qmail-logfiles [markk MN00020822]

* Thu Aug 28 2003 Michael Soulier <msoulier@e-smith.com>
- [1.8.0-02]
- Adding K* init symlinks in runlevels 0, 1 and 6. [msoulier 9761]

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Changing version to stable stream number - 1.8.0

* Wed Nov  6 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- Rolling development stream version to 1.7.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Roll to maintained version number to 1.6.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Roll to maintained version number to 1.6.0

* Wed Aug 21 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.1-01]
- Remove bogus e-smith-base dependency, which shows as an unmet
  dependency on our workstations.
- Add rc7.d symlink [charlieb 4458]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-01]
- Changing version to development stream number to 1.5.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Changing version to maintained stream number to 1.4.0

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.9-01]
- RPM rebuild forced by cvsroot2rpm

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.8-01]
- testing co2rpm --force

* Thu May 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.7-01]
- Remove world read and execute permission from qmail log directory.

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.6-01]
- /supervise/qmail -> /service/qmail  [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.5-01]
- Added /bin, /usr/bin and /usr/local/bin to qmail's path [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.4-01]
- And create /var/log/qmail [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.3-01]
- And create directory for pipes to be written to [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.2-01]
- Created pipes, symlinks and empty files in SPEC file [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.1-01]
- Initial CVS import

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-02.

* Fri Aug 17 2001 gordonr
- [1.2.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-04.

* Tue May 1 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-04]
- added /var/log/qmail to filelist

* Tue May 1 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-03]
- added migrate-qmail-logfiles action to post-upgrade

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-02]
- added conf-migrate-qmail-variables actions to migrate qmail.init
  configuration variable to qmail
- added e-smith header to files

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-01]
- initial release

%description
Startup scripts for Dan Bernstein's qmail package.

%prep
%setup
# qmail supervision
mkdir -p root/service
ln -s ../var/qmail/etc/service/qmail root/service/qmail
mkdir -p root/var/qmail/etc/service/qmail/supervise
mkdir -p root/var/qmail/etc/service/qmail/log/supervise
mkdir -p root/var/log/qmail
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir '/var/qmail/etc/service/qmail' 'attr(1755,root,root)' \
    --file '/var/qmail/etc/service/qmail/down' 'attr(0644,root,root)' \
    --file '/var/qmail/etc/service/qmail/run' 'attr(0755,root,root)' \
    --dir '/var/qmail/etc/service/qmail/supervise' 'attr(0700,root,root)' \
    --dir '/var/qmail/etc/service/qmail/log' 'attr(0755,root,root)' \
    --file '/var/qmail/etc/service/qmail/log/run' 'attr(0755,root,root)' \
    --dir '/var/qmail/etc/service/qmail/log/supervise' 'attr(0700,root,root)' \
    --dir '/var/log/qmail' 'attr(2750,qmaill,nofiles)' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
